# compatibility with legacy rpm
%{!?_lib:%define _lib	lib}

%define __major		4
%define __minor		3
%define	__soversion	%{__major}.%{__minor}
%define	_libdb_a	libdb.a.%{__soversion}
%define	_libcxx_a	libdb_cxx.a.%{__soversion}

Summary: The Berkeley DB database library (version 4) for C.
Name: db4
Version: %{__soversion}.29
Release: 2tr
Source: http://www.sleepycat.com/update/%{version}/db-%{version}.tar.gz
URL: http://www.sleepycat.com/
License: GPL
Group: Trustix Official
BuildPreReq: perl db1-devel
# Seems RPM needs a special invitation to understand this
Provides: libdb.so.%{__major}
BuildRoot: /var/tmp/%{name}-root

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. The Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching, and database
recovery. The Berkeley DB supports C, C++, Java, and Perl APIs. It is
used by many applications, including Python and Perl, so this should
be installed on all systems.


%package utils
Summary: Command line tools for managing Berkeley DB (version 4) databases.
Group: Trustix Official
Requires: %{name} = %{version}

%description utils
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching, and database
recovery. DB supports C, C++, Java and Perl APIs.

This package contains command line tools for managing Berkeley DB
(version 4) databases.


%package devel
Summary: Development files for the Berkeley DB (version 4) library.
Group: Trustix Official
Requires: %{name} = %{version}

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package contains the header files,
libraries, and documentation for building programs which use the
Berkeley DB.


%prep
%setup -q -n db-%{version}

%build
cd build_unix

CFLAGS="`echo $RPM_OPT_FLAGS | sed -e 's/-fno-exceptions//g'`" LIBS="-lpthread" LDFLAGS="-lpthread" \
	../dist/configure \
	--prefix=%{_prefix} \
	--enable-compat185 \
	--enable-shared \
	--enable-static \
	--enable-rpc \
	--enable-cxx \
	--enable-posixmutexes

make

# Static link with old db-185 libraries.
/bin/sh ./libtool \
	--mode=compile --tag=CC %{__cc} \
	%{optflags} -c -I%{_includedir}/db1 \
	-I../dist/../include -D_REENTRANT \
	../dist/../db_dump185/db_dump185.c

/bin/sh ./libtool --mode=link --tag=CC %{__cc} -static -o db_dump185 db_dump185.lo -L%{_libdir} -ldb1

# Compile rest normally.
make libdb=%{_libdb_a} libcxx=%{_libcxx_a} \
	TCFLAGS='-I$(builddir) -I%{_includedir}'


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}

cd build_unix

#libdb=%{_libdb_a}  \
#	libcxx=%{_libcxx_a} \

make prefix=${RPM_BUILD_ROOT}%{_prefix} install 

install -o root -g root -m 755 db_dump185 $RPM_BUILD_ROOT/%{_bindir}/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc LICENSE README
/%{_libdir}/*.so*

%files utils
%defattr(-,root,root,0755)
%doc	docs/utility
%{_bindir}/*

%files devel
%defattr(-,root,root,0755)
%doc	docs/api_c docs/api_cxx docs/index.html docs/images
%doc	docs/ref docs/sleepycat
%doc	examples_c examples_cxx
%{_libdir}/*.la*
%{_libdir}/*.a*
%{_includedir}/*.h
%exclude /usr/docs

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Jun 13 2006 Nived Gopalan <nived at trustix dot org> 4.3.29-1tr
- New Upstream.

* Tue May 03 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.3.28-2tr
- New Upstream, Previous patches applied and its a bug fix release.

* Mon Apr 25 2005 Ajith Thampi <ajith at comodo dot com> 4.3.27-1tr
- New Upstream

* Fri Mar 18 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.2.52-3tr
- Rebuilt against Official Glibc-2.3.4

* Wed Mar 16 2005 Raghu <raghu at comodo dot com> 4.2.52-2tr
- Rebuilt
- Fixed Unpackaged files 

* Mon Jan 31 2005 Ajith Thampi <ajith at comodo dot com> 4.2.52-1tr
- New Upstream

* Wed Dec 15 2004 Erlend Midttun <erlendbm at trustix dot com> 4.1.25-7tr
- Apply db patch2

* Sat Dec  6 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1.25-4tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1.25-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1.25-2em
- Added patch to correct locking.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1.25-1em
- Rebuilt against glibc 2.3.2.

* Fri Feb 28 2003 Goetz Bock <bock at trustix dot org> 4.1.25-0bg
- updated to 4.1.25
- removed the ugly postfix hack
- not just build, but also install dumper for v1.85 databases

* Sat Feb 01 2003 Tor Hveem <torh at trustix dot org> 4.0.14-6th
- fixed package Group

* Wed Jan  8 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.14-5em
- Fixed package group tkae II.

* Mon Dec  9 2002 Erlend Midttun <erlendbm at trustix dot com> 4.0.14-4em
- Fixed package group.

* Thu Aug 22 2002 Christan H. Toldnes <christht at trustix dot com> 4.0.14-3ct
- Cleanup
- UGLY!! Hack to make postfix build. FIXME FIXME!!

* Wed Aug 21 2002 Christan H. Toldnes <christht at trustix dot com> 4.0.14-2ct
- Massive cleanup.

* Wed Aug 21 2002 Christan H. Toldnes <christht at trustix dot com> 4.0.14-1ct
- Modified package to fit db4

* Mon May  6 2002 Gerald Dachs <gda at trustix dot org>
- enable db_dump185 support again

* Tue Apr 16 2002 Gerald Dachs <gda at trustix dot org>
- there is no libdb1
- disabled db_dump185 support

* Mon Feb 04 2002 Erlend Midttun <erlendbm at trustix dot com>
- Making it work with Glibc 2.2.5

* Mon Dec 10 2001 Christian H. Toldnes <christht at trustix dot com>
- Remake to fit TSL

* Sun Aug  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix dangling docs symlinks
- fix dangling doc HREFs (#33328)
- apply the two patches listed at http://www.sleepycat.com/update/3.2.9/patch.3.2.9.html

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- turn off --enable-debug

* Thu May 10 2001 Than Ngo <than@redhat.com>
- fixed to build on s390x

* Mon Mar 19 2001 Jeff Johnson <jbj@redhat.com>
- update to 3.2.9.

* Tue Dec 12 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to remove 777 directories.

* Sat Nov 11 2000 Jeff Johnson <jbj@redhat.com>
- don't build with --enable-diagnostic.
- add build prereq on tcl.
- default value for %%_lib macro if not found.

* Tue Oct 17 2000 Jeff Johnson <jbj@redhat.com>
- add /usr/lib/libdb-3.1.so symlink to %%files.
- remove dangling tags symlink from examples.

* Mon Oct  9 2000 Jeff Johnson <jbj@redhat.com>
- rather than hack *.la (see below), create /usr/lib/libdb-3.1.so symlink.
- turn off --enable-diagnostic for performance.

* Fri Sep 29 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.1.17.
- disable posix mutexes Yet Again.

* Tue Sep 26 2000 Jeff Johnson <jbj@redhat.com>
- add c++ and posix mutex support.

* Thu Sep 14 2000 Jakub Jelinek <jakub@redhat.com>
- put nss_db into a separate package

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Wed Aug 23 2000 Jeff Johnson <jbj@redhat.com>
- remove redundant strip of libnss_db* that is nuking symbols.
- change location in /usr/lib/libdb-3.1.la to point to /lib (#16776).

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.
- all of libdb_tcl* (including symlinks) in db3-utils, should be db3->tcl?

* Wed Aug 16 2000 Jakub Jelinek <jakub@redhat.com>
- temporarily build nss_db in this package, should be moved
  into separate nss_db package soon

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Jeff Johnson <jbj@redhat.com>
- upgrade to 3.1.14.
- create db3-utils sub-package to hide tcl dependency, enable tcl Yet Again.
- FHS packaging.

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- disable tcl Yet Again, base packages cannot depend on libtcl.so.

* Sat Jun  3 2000 Jeff Johnson <jbj@redhat.com>
- enable tcl, rebuild against tcltk 8.3.1 (w/o pthreads).

* Tue May 30 2000 Matt Wilson <msw@redhat.com>
- include /lib/libdb.so in the devel package

* Wed May 10 2000 Jeff Johnson <jbj@redhat.com>
- put in "System Environment/Libraries" per msw instructions.

* Tue May  9 2000 Jeff Johnson <jbj@redhat.com>
- install shared library in /lib, not /usr/lib.
- move API docs to db3-devel.

* Mon May  8 2000 Jeff Johnson <jbj@redhat.com>
- don't rename db_* to db3_*.

* Tue May  2 2000 Jeff Johnson <jbj@redhat.com>
- disable --enable-test --enable-debug_rop --enable-debug_wop.
- disable --enable-posixmutexes --enable-tcl as well, to avoid glibc-2.1.3
  problems.

* Mon Apr 24 2000 Jeff Johnson <jbj@redhat.com>
- add 3.0.55.1 alignment patch.
- add --enable-posixmutexes (linux threads has not pthread_*attr_setpshared).
- add --enable-tcl (needed -lpthreads).

* Sat Apr  1 2000 Jeff Johnson <jbj@redhat.com>
- add --enable-debug_{r,w}op for now.
- add variable to set shm perms.

* Sat Mar 25 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.0.55

* Tue Dec 29 1998 Jeff Johnson <jbj@redhat.com>
- Add --enable-cxx to configure.

* Thu Jun 18 1998 Jeff Johnson <jbj@redhat.com>
- Create.
